<?php
require_once('../config.php');
$user_id = $_SESSION['user_id'];
$emp_id = $_SESSION['emp_id'];
$user_role = $_SESSION['user_role'];


// SQL server connection information
// $sql_details = $search_db;
$sql_details = $search_db;

if(!isset($_GET['isset'])){
    exit();
}



$table = <<<EOT
(
    SELECT 
        t1.*, 
        t1.id as action_id, 
        t2.name 
    FROM employee_bonusIncentive t1
    INNER JOIN users t2 ON t2.employee_id=t1.employee_id
) join_table
EOT;


$whereResult = null;
$whereAll = null;
if (isset($_GET['where_condition']) && !empty($_GET['where_condition'])) {
    $whereAll = $_GET['where_condition'];
}

// Table's primary key
$primaryKey = 'id';

// Array of database columns which should be read and sent back to DataTables.
// The `db` parameter represents the column name in the database, while the `dt`
// parameter represents the DataTables column identifier. In this case simple
// indexes
$columns = array(

    array('db' => 'id', 'dt' => 'id'),
    array('db' => 'employee_id', 'dt' => 'employee_id'),
    array('db' => 'name', 'dt' => 'name'),
    array('db' => 'bonus', 'dt' => 'bonus'),
    array('db' => 'incentive', 'dt' => 'incentive'),
    array('db' => 'date', 'dt' => 'date'),
    array(
        'db' => 'action_id', 
        'dt' => 'action_id',
        'formatter' => function($cell, $row){
            // <a href="bonus-incentive?edit='.$row['id'].'" class="text-success mr-1" title="Edit"><i class="uil uil-edit"></i></a>
            $returnValue = '
            <a href="javascript:;" onclick="_delete_(\''.$row['id'].'\');" class="text-danger" title="Delete"><i class="uil uil-trash-alt"></i></a>
            ';
            return $returnValue;
        }
    ),
);


/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * If you just want to use the basic configuration for DataTables with PHP
 * server-side, there is no need to edit below this line.
 */
require('ssp.class.php');

echo json_encode(
    // SSP::simple($_GET, $sql_details, $table, $primaryKey, $columns)
    SSP::complex($_GET, $sql_details, $table, $primaryKey, $columns, $whereResult, $whereAll)
);
